//---------------------------------------------------------------------------

#include <clx.h>
#pragma hdrstop
USEFORM("Main.cpp", MainWin);
USEFORM("Channel.cpp", ChannelWin);
USEFORM("SQL.cpp", SQLModule); /* TDataModule: File Type */
USEFORM("Card.cpp", CardWin);
USEFORM("Settings.cpp", SettingsWin);
//---------------------------------------------------------------------------
int main(void)
{
        try
        {
                 Application->Initialize();
     Application->Title = "MythTV Setup";
     Application->CreateForm(__classid(TSQLModule), &SQLModule);
     Application->CreateForm(__classid(TMainWin), &MainWin);
     Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch(...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch(Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
